function init(varargin)
% FUNCTION fc_simesh.init()
%   Initializes the toolbox/package .
%
% <COPYRIGHT>
  p = inputParser;
  p.addParamValue('verbose',0,@isscalar);
  p.addParamValue('without',{},@iscell); % to avoid recursion
  p.parse(varargin{:});
  R=p.Results;
  env=fc_siplt.environment();
  if isdir(env.fc_simesh_dir), addpath(env.fc_simesh_dir);rehash path;end
  if ~ismember('fc-simesh',R.without)
    try
      fc_simesh.init(varargin{:},'without',{'fc-siplt'})
    catch ME
      fprintf('[fc-siplt] Unable to load the fc-simesh toolbox!\n')
      rethrow(ME)
    end
  end
  if isdir(env.fc_graphics4mesh_dir), addpath(env.fc_graphics4mesh_dir);rehash path;end
  try
    fc_graphics4mesh.init(varargin{:})
  catch ME
    fprintf('[fc-siplt] Unable to load the fc-graphics4mesh toolbox!\n')
    rethrow(ME)
  end
  
  if p.Results.verbose>0
    fprintf('Using fc-siplt toolbox [%s]:\n',fc_siplt.version());
  end
end  